import { BlockNodeComponent } from 'substance'
import TextPropertyEditor from './TextPropertyEditor'

class IsolatedNoteComponent extends BlockNodeComponent {
  render ($$) {
    let el = $$('div').addClass('sc-entity')
    el.append(
    $$(TextPropertyEditor, {
      path: [this.props.node.id, 'content'],
      disabled: this.context.editor.props.disabled,
      tagName: 'p',
      multiLine: true
    }).ref('noteContentEditor-' + this.props.node.id))

    return el
  }
}

export default IsolatedNoteComponent
