export default {
  type: 'isolated-note',
  tagName: 'isolated-note',

  import: function (el, node, converter) {
    node.content = converter.annotatedText(el, [node.id, 'content'])
    node.parentNoteId = el.attr('data-parent-id')
  },
  export: function (node, el, converter) {
    el.append(
      converter.annotatedText([node.id, 'content'])
    )
    el.setAttribute('data-parent-id', node.parentNoteId)
  }
}
